Datasets

Soda Cloud API Dataset Endpoints

Dataset information

get
/api/v1/datasets

This endpoint enables you to gather information about the datasets that in exist in your organization's Soda Cloud account, including information about the Soda Cloud resources with which it is associated, such as data source, incidents, attributes and health status.

This GET is a paginated API that uses the following parameters to request specific details:

  • size: Supply an integer value between 10 and 1000, inclusive. The default value is 10.

  • page: Supply an integer value. The default value is 0.

  • from: Optionally, use this parameter to collect only the information for datasets that have been updated after a particular point in time. Supply an ISO8601 timestamp value. Example: 2023-12-31T10:15:30+01:00

  • datasourceName: Optionally, use this parameter to collect only the information for datasets associated with a specific datasource.

  • search: Optionally, use this parameter to perform a fuzzy search on the dataset name.

If not specified, the query gathers information for all datasets in the account and sorts the results first by dataset name and then by datasource name in ascending order.

Authorization

Soda only returns the datasets to which the user has View dataset permissions. Soda Cloud Admins have access to all datasets.See Manage dataset rolesarrow-up-right for more information.

Authentication

User authentication required: true

This endpoint enforces authentication using the API keys you provide in the Basic authentication header.

Tags

Datasets

Rate limiting

30 requests/60 seconds

Authorizations
AuthorizationstringRequired
Query parameters
datasourceNamestringOptional
fromstringOptional
pageinteger · int32Optional
searchstringOptional
sizeinteger · int32Optional
Responses
chevron-right
200

Successful response

application/json
firstbooleanRequired
lastbooleanRequired
numberinteger · int32Required
sizeinteger · int32Required
totalElementsinteger · int32Required
totalPagesinteger · int32Required
get
/api/v1/datasets

Get dataset attributes

get
/api/v1/datasets/attributes

This endpoint enables you to gather information about the dataset attributes available in your organization's Soda Cloud account. Use the dataset attributes to categorise and organise your datasets.

This GET is a paginated API that uses the following parameters to request specific details:

  • size: Supply an integer value between 10 and 1000, inclusive. The default value is 1000.

  • page: Supply an integer value. The default value is 0.

Authentication

User authentication required: true

This endpoint enforces authentication using the API keys you provide in the Basic authentication header.

Authorization

Any Soda Cloud user in your organization may execute this query.

Tags

Datasets

Rate limiting

60 requests/60 seconds

Authorizations
AuthorizationstringRequired
Query parameters
pageinteger · int32Optional
sizeinteger · int32Optional
Responses
chevron-right
200

Successful response

application/json
firstbooleanRequired
lastbooleanRequired
numberinteger · int32Required
sizeinteger · int32Required
totalElementsinteger · int32Required
totalPagesinteger · int32Required
get
/api/v1/datasets/attributes

List dataset roles

get
/api/v1/datasets/roles

This endpoint enables you to gather information about the dataset roles available in your organization's Soda Cloud account. Use the dataset roles to manage access to individual datasets.

This GET is a paginated API that uses the following parameters to request specific details:

  • size: Supply an integer value between 10 and 100, inclusive. The default value is 100.

  • page: Supply an integer value. The default value is 0.

Authentication

User authentication required: true

This endpoint enforces authentication using the API keys you provide in the Basic authentication header.

Authorization

Any Soda Cloud user in your organization may execute this query.

Tags

Datasets

Rate limiting

60 requests/60 seconds

Authorizations
AuthorizationstringRequired
Query parameters
pageinteger · int32Optional
sizeinteger · int32Optional
Responses
chevron-right
200

Successful response

application/json
firstbooleanRequired
lastbooleanRequired
numberinteger · int32Required
sizeinteger · int32Required
totalElementsinteger · int32Required
totalPagesinteger · int32Required
get
/api/v1/datasets/roles

Create a dataset role

post
/api/v1/datasets/roles

This endpoint allows you to create a new custom dataset role in your organization's Soda Cloud account. Dataset roles define a named set of permissions that control what actions users can perform on individual datasets, such as managing checks, viewing profiling data, configuring the dataset, or managing incidents.

Once created, the role can be assigned to users or user groups via the dataset responsibilities endpoints.

Authentication

User authentication required: true

This endpoint enforces authentication using the API keys you provide in the Basic authentication header.

Authorization

Users must have global role permission MANAGE_ORGANISATION_SETTINGS to execute this call.

Tags

Datasets

Rate limiting

60 requests/60 seconds

Authorizations
AuthorizationstringRequired
Body
configureDatasetbooleanOptional
createCheckProposalsbooleanOptional
deleteDatasetbooleanOptional
manageChecksbooleanOptional
manageContractsbooleanOptional
manageIncidentsbooleanOptional
managePermissionsbooleanOptional
namestringRequired
viewFailedRowsbooleanOptional
viewProfilingAndSamplesbooleanOptional
Responses
chevron-right
200

Successful response

application/json
post
/api/v1/datasets/roles

Update a dataset role

post
/api/v1/datasets/roles/{roleId}

This endpoint allows you to update the name or permissions of an existing custom dataset role. Dataset roles define a named set of permissions that control what actions users can perform on individual datasets, such as managing checks, viewing profiling data, configuring the dataset, or managing incidents.

Changes apply immediately to all users and user groups assigned this role.

Authentication

User authentication required: true

This endpoint enforces authentication using the API keys you provide in the Basic authentication header.

Authorization

Users must have global role permission MANAGE_ORGANISATION_SETTINGS to execute this call.

Tags

Datasets

Rate limiting

60 requests/60 seconds

Authorizations
AuthorizationstringRequired
Path parameters
roleIdstringRequired
Body
configureDatasetbooleanOptional
createCheckProposalsbooleanOptional
deleteDatasetbooleanOptional
manageChecksbooleanOptional
manageContractsbooleanOptional
manageIncidentsbooleanOptional
managePermissionsbooleanOptional
namestringRequired
viewFailedRowsbooleanOptional
viewProfilingAndSamplesbooleanOptional
Responses
chevron-right
200

Successful response

application/json
post
/api/v1/datasets/roles/{roleId}

Delete a dataset role

delete
/api/v1/datasets/roles/{roleId}

This endpoint allows you to delete a custom dataset role from your organization's Soda Cloud account. Dataset roles define a named set of permissions that control what actions users can perform on individual datasets, such as managing checks, viewing profiling data, configuring the dataset, or managing incidents.

Deletion is performed asynchronously and may take some time to complete.

Deletion will fail if the role is still assigned to any dataset permissions or used in responsibility settings.

Authentication

User authentication required: true

This endpoint enforces authentication using the API keys you provide in the Basic authentication header.

Authorization

Users must have global role permission MANAGE_ORGANISATION_SETTINGS to execute this call.

Tags

Datasets

Rate limiting

60 requests/60 seconds

Authorizations
AuthorizationstringRequired
Path parameters
roleIdstringRequired
Responses
chevron-right
200

Successful response

application/json
messagestringRequired
delete
/api/v1/datasets/roles/{roleId}

Update dataset

post
/api/v1/datasets/{datasetId}

This endpoint enables you to update an existing dataset properties in your organization's Soda Cloud account.

Authorization

Only users with Configure dataset permission can update dataset properties. Soda Cloud Admins have permission to update all datasets.See Manage dataset rolesarrow-up-right for more information.

Authentication

User authentication required: true

This endpoint enforces authentication using the API keys you provide in the Basic authentication header.

Tags

Datasets

Rate limiting

100 requests/60 seconds

Authorizations
AuthorizationstringRequired
Path parameters
datasetIdstringRequired
Body
labelstringOptional
partitionColumnstringOptionalDeprecated
tagsstring[]Optional
Responses
chevron-right
200

Successful response

application/json
checksnumberRequired
cloudUrlstringRequired
dataQualityStatusobject · enumOptionalPossible values:
datasetQualifiedNamestringOptional
healthStatusinteger · int32Required
idstringRequired
incidentsnumberRequired
labelstringOptional
lastUpdatedstringOptional
namestringRequired
qualifiedNamestringOptional
tagsstring[]Optional
post
/api/v1/datasets/{datasetId}

Delete dataset

delete
/api/v1/datasets/{datasetId}

This endpoint enables you to delete an existing dataset in your organization's Soda Cloud account.

Deletion is not immediate and can take some time to complete, depending on the size of your dataset. You can check the status of the deletion by calling the Get dataset endpoint.

Authorization

Only users with Delete dataset permission can delete a dataset. Soda Cloud Admins have permission to delete any dataset.See Manage dataset rolesarrow-up-right for more information.

Authentication

User authentication required: true

This endpoint enforces authentication using the API keys you provide in the Basic authentication header.

Tags

Datasets

Rate limiting

10 requests/60 seconds

Authorizations
AuthorizationstringRequired
Path parameters
datasetIdstringRequired
Responses
chevron-right
200

Successful response

application/json
messagestringRequired
delete
/api/v1/datasets/{datasetId}

Create a column metric monitor

post
/api/v1/datasets/{datasetId}/columnMetricMonitors

This endpoint allows you to create a new column metric monitor for a specific dataset in your organization's Soda Cloud account.

Authorization

Only users with Manage checks permission can create column metric monitors. Soda Cloud Admins can create column metric monitors for all datasets.See Manage dataset rolesarrow-up-right for more information.

Authentication

User authentication required: true

This endpoint enforces authentication using the API keys you provide in the Basic authentication header.

Tags

Datasets

Rate limiting

100 requests/60 seconds

Authorizations
AuthorizationstringRequired
Path parameters
datasetIdstringRequired
Body
columnNamestringRequired
Responses
post
/api/v1/datasets/{datasetId}/columnMetricMonitors

Update a column metric monitor

post
/api/v1/datasets/{datasetId}/columnMetricMonitors/{monitorId}

This endpoint allows you to update an existing column metric monitor for a specific dataset in your organization's Soda Cloud account.

Authorization

Only users with Manage checks permission can update column metric monitors. Soda Cloud Admins can update column metric monitors for all datasets. See Manage dataset rolesarrow-up-right for more information.

Authentication

User authentication required: true

This endpoint enforces authentication using the API keys you provide in the Basic authentication header.

Tags

Datasets

Rate limiting

100 requests/60 seconds

Authorizations
AuthorizationstringRequired
Path parameters
datasetIdstringRequired
monitorIdstringRequired
Body
Responses
chevron-right
200

Successful response

application/json
post
/api/v1/datasets/{datasetId}/columnMetricMonitors/{monitorId}

Delete a column metric monitor

delete
/api/v1/datasets/{datasetId}/columnMetricMonitors/{monitorId}

This endpoint allows you to delete a column metric monitor for a specific dataset in your organization's Soda Cloud account.

Authorization

Only users with Manage checks permission can delete column metric monitors. Soda Cloud Admins can delete column metric monitors for all datasets. See Manage dataset rolesarrow-up-right for more information.

Authentication

User authentication required: true

This endpoint enforces authentication using the API keys you provide in the Basic authentication header.

Tags

Datasets

Rate limiting

100 requests/60 seconds

Authorizations
AuthorizationstringRequired
Path parameters
datasetIdstringRequired
monitorIdstringRequired
Responses
chevron-right
200

Successful response

application/json
messagestringRequired
delete
/api/v1/datasets/{datasetId}/columnMetricMonitors/{monitorId}

Get dataset metric monitoring configuration information

get
/api/v1/datasets/{datasetId}/metricMonitoring

This endpoint allows you to retrieve detailed metric monitoring configuration information for a specific dataset in your organization's Soda Cloud account.

Authorization

Only users with View dataset permission can view dataset metric monitoring configuration. Soda Cloud Admins have access to metric monitoring configuration information for all datasets.See Manage dataset rolesarrow-up-right for more information.

Authentication

User authentication required: true

This endpoint enforces authentication using the API keys you provide in the Basic authentication header.

Tags

Datasets

Rate limiting

1000 requests/60 seconds

Authorizations
AuthorizationstringRequired
Path parameters
datasetIdstringRequired
Responses
chevron-right
200

Successful response

application/json
datasetIdstringOptional
enabledbooleanOptional
historicalMetricCollectionScanStartDatestringOptional
partitionColumnstringOptionalDeprecated
get
/api/v1/datasets/{datasetId}/metricMonitoring

Get dataset profiling information

get
/api/v1/datasets/{datasetId}/profiling

This endpoint allows you to retrieve detailed profiling information for a specific dataset in your organization's Soda Cloud account. Profiling information provides insights into the dataset's structure, statistical summaries, and data characteristics.

Authorization

Only users with Access dataset profiling and sampling permission can view dataset profiling. Soda Cloud Admins have access to profiling information for all datasets.See Manage dataset rolesarrow-up-right for more information.

Authentication

User authentication required: true

This endpoint enforces authentication using the API keys you provide in the Basic authentication header.

Tags

Datasets

Rate limiting

1000 requests/60 seconds

Authorizations
AuthorizationstringRequired
Path parameters
datasetIdstringRequired
Responses
chevron-right
200

Successful response

application/json
columnCountnumberOptional
datasetIdstringRequired
enabledbooleanOptional
partitionColumnstringOptionalDeprecated
profilingTimestringOptional
rowCountnumberOptional
get
/api/v1/datasets/{datasetId}/profiling

List dataset responsibilities

get
/api/v1/datasets/{datasetId}/responsibilities

This endpoint enables you to gather information about the user and user groups permissions assigned to a dataset, and their associated roles in your organization's Soda Cloud account.

This GET is a paginated API that uses the following parameters to request specific details:

  • size: Supply an integer value between 1 and 100, inclusive. The default value is 100.

  • page: Supply an integer value. The default value is 0.

Authorization

Soda only returns the dataset responsibilities to which the user has View dataset permissions. Soda Cloud Admins have access to all dataset responsibilities.See Manage dataset rolesarrow-up-right for more information.

Authentication

User authentication required: true

This endpoint enforces authentication using the API keys you provide in the Basic authentication header.

Tags

Datasets

Rate limiting

100 requests/60 seconds

Authorizations
AuthorizationstringRequired
Path parameters
datasetIdstringRequired
Query parameters
pageinteger · int32Optional
sizeinteger · int32Optional
Responses
chevron-right
200

Successful response

application/json
firstbooleanRequired
lastbooleanRequired
numberinteger · int32Required
sizeinteger · int32Required
totalElementsinteger · int32Required
totalPagesinteger · int32Required
get
/api/v1/datasets/{datasetId}/responsibilities

Update dataset responsibilities

post
/api/v1/datasets/{datasetId}/responsibilities

This endpoint enables you to update the user and user groups permissions and their associated roles for a dataset in your organization's Soda Cloud account.

Note: This API fully replaces the existing responsibilities. The entire list of responsibilities must be provided in the request, including both new and existing entries, as any omissions will result in their removal.

Authorization

Only users with Manage dataset responsibilities permission can update dataset responsibilities. Soda Cloud Admins have permission to update all datasets responsibilities.**See Manage dataset rolesarrow-up-right for more information.**The Response of this call, when successful, is 201 and contains header Location which identify the URL where the responsibilities will eventually become available.

Authentication

User authentication required: true

This endpoint enforces authentication using the API keys you provide in the Basic authentication header.

Tags

Datasets

Rate limiting

100 requests/60 seconds

Authorizations
AuthorizationstringRequired
Path parameters
datasetIdstringRequired
Body
Responses
post
/api/v1/datasets/{datasetId}/responsibilities

No content

Last updated

Was this helpful?